org.apache.jmeter.gui.util

## Class TextBoxDialoger

- java.lang.Object
- - org.apache.jmeter.gui.util.TextBoxDialoger

All Implemented Interfaces:
  ActionListener, EventListener

    public class TextBoxDialoger
    extends Object
    implements ActionListener

Dialog text box to display some text in a box

### Nested Class Summary

Nested Classes
`static class` `TextBoxDialoger.TextBoxDoubleClick` Class to display a dialog box and cell's content when double click on a table's cell
`static class` `TextBoxDialoger.TextBoxDoubleClickPressed` Class to edit in a dialog box the cell's content when double (pressed) click on a table's cell which is editable

### Constructor Summary

Constructors
Constructor and Description
`TextBoxDialoger()` Dialog text box
`TextBoxDialoger(String text)` Dialog text box
`TextBoxDialoger(String text, boolean editable)` Dialog text box

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(ActionEvent e)`
`String` `getTextBox()`
`void` `setTextBox(String text)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextBoxDialoger

    public TextBoxDialoger()

Dialog text box

#### TextBoxDialoger

    public TextBoxDialoger(String text)

Dialog text box

Parameters:
  `text` - - text to display in a box

#### TextBoxDialoger

    public TextBoxDialoger(String text,
                           boolean editable)

Dialog text box

Parameters:
  `text` - - text to display in a box
  `editable` - - allow to modify text

### Method Detail

#### actionPerformed

    public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`

#### setTextBox

    public void setTextBox(String text)

#### getTextBox

    public String getTextBox()